"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.childrenToReact = childrenToReact;

var _vue = require("vue");

function childrenToReact(node) {
  return node.map(function (item) {
    if (item.type === 'text') {
      return item.value;
    }

    if (item.type === 'element' && item.children) {
      // @ts-ignore
      var className = item.properties.className || item.properties["class"]; // @ts-ignore

      item.properties.className = Array.isArray(className) ? className.join(' ') : className;
      return (0, _vue.h)(item.tagName, item.properties, childrenToReact(item.children));
    }
  });
}
//# sourceMappingURL=ast-to-vue.js.map